import builtins
import datetime
import socket
import threading
from scriptBase.loki_log import *

# 保存原始的 print 函数
original_print = print

# 定义自定义的输出函数
def custom_print(*args, **kwargs):
    # 获取当前时间
    current_time = datetime.datetime.now()
    # 添加时间前缀
    prefix = f"[{current_time}]"
    # 将时间前缀与要打印的内容拼接
    modified_args = (prefix,) + args
    # 调用原始的 print 函数打印内容
    original_print(*modified_args, **kwargs)

    dstStr = ' '.join(str(arg) for arg in args)
    '''
    log_thread = threading.Thread(
        target=log_to_loki,
        args=(socket.gethostname(), dstStr),
        daemon=True  # 设为守护线程（主线程退出时自动结束）
    )
    log_thread.start()  # 启动线程（不阻塞主线程）
    '''


# 替换内置的 print 函数为自定义的输出函数
builtins.print = custom_print

